> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get owners

> Returns a list of `Owner` objects.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /owners
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /owners:
    get:
      tags:
        - owners
      summary: Get owners
      description: Returns a list of `Owner` objects.
      operationId: get_owners
      parameters:
        - description: The pagination cursor value.
          example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
          explode: true
          in: query
          name: cursor
          required: false
          schema:
            type: string
          style: form
        - description: Number of results to return per page. Default is 200.
          example: 200
          explode: true
          in: query
          name: page_size
          required: false
          schema:
            type: integer
            maximum: 1000
          style: form
        - description: Owner name to filter by.
          example: 200
          explode: true
          in: query
          name: name
          required: false
          schema:
            type: string
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOwnersList'
          description: One page worth of owners in your organization.
      security:
        - BearerAuth: []
components:
  schemas:
    PaginatedOwnersList:
      example:
        next: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
        previous: cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ
        results:
          - owner_id: f454d283-ca87-4a8a-bdbb-df212eca5353
            name: API Owner
            description: This owner represents the API team owners.
            access_request_escalation_period: 120
          - owner_id: e8581682-04f7-473a-a419-472f0fb26d46
            name: Finance Owner
            description: This owner represents the Finance team owners.
            access_request_escalation_period: 120
      properties:
        next:
          description: >-
            The cursor with which to continue pagination if additional result
            pages exist.
          example: cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
          nullable: true
          type: string
        previous:
          description: The cursor used to obtain the current result page.
          example: cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ
          nullable: true
          type: string
        results:
          items:
            $ref: '#/components/schemas/Owner'
          type: array
      type: object
      required:
        - results
    Owner:
      description: |-
        # Owner Object
        ### Description
        The `Owner` object is used to represent an owner.
      example:
        owner_id: f454d283-ca87-4a8a-bdbb-df212eca5353
        name: API Owner
        description: This owner represents the API team owners.
        access_request_escalation_period: 120
      properties:
        owner_id:
          description: The ID of the owner.
          example: f454d283-ca87-4a8a-bdbb-df212eca5353
          format: uuid
          type: string
        name:
          description: The name of the owner.
          example: API Owner
          type: string
        description:
          description: A description of the owner.
          example: This owner represents the API team owners.
          type: string
        access_request_escalation_period:
          description: >-
            The amount of time (in minutes) before the next reviewer is
            notified. Use 0 to remove escalation policy.
          type: integer
          example: 120
        reviewer_message_channel_id:
          example: 37cb7e41-12ba-46da-92ff-030abe0450b1
          format: uuid
          type: string
          nullable: true
        source_group_id:
          example: 1b978423-db0a-4037-a4cf-f79c60cb67b3
          format: uuid
          type: string
          nullable: true
      required:
        - owner_id
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````